xdg-desktop-portal-gtk spams logs

Bug #1851807 reported by centx on 2019-11-08
106
This bug affects 19 people
Affects Status Importance Assigned to Milestone
xdg-desktop-portal (Ubuntu)
Low
Ken VanDine
Eoan
Low
Ken VanDine

Bug Description

Every minute I get a log entry that looks like

> xdg-desktop-por[ ]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error: org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed

Upstream bug-report: https://github.com/flatpak/xdg-desktop-portal-gtk/issues/222

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: xdg-desktop-portal-gtk 1.4.0-2
ProcVersionSignature: Ubuntu 5.3.0-19.20-generic 5.3.1
Uname: Linux 5.3.0-19-generic x86_64
NonfreeKernelModules: wl nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu8.2
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Nov 8 10:51:30 2019
InstallationDate: Installed on 2019-11-07 (0 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/usr/bin/zsh
SourcePackage: xdg-desktop-portal-gtk
UpgradeStatus: No upgrade log present (probably fresh install)

[Impact]

 * Continual spamming of the syslog

[Test Case]

 * Reboot after installing the update
 * grep org.freedesktop.portal.Error.Failed /var/log/syslog
   - You should only see the error logged once since your most recent login

[Regression Potential]

 * Regressions are very unlikely for this change, it just suppresses the
   logging of this one error condition more than once.

centx (centx) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xdg-desktop-portal-gtk (Ubuntu):
status: New → Confirmed
Apachez (apachez) wrote :

After upgrading from Ubuntu 19.04 into 19.10 the other day I have noticed the same thing (among with csgo in full screen no longer works (alt+tab once is ok, alt+tab twice and the fullscreen rendering ends up in the bottom of the screen) and sometimes trying to close the terminal window (and perhaps other windows too) will hang the gui - the later might be related to this issue).

That is the system log is being spammed with these messages (noone at Canonical or the maintainers who looks into "journalctl -b" to clean broken things up every now and then?).

1) Gooling on this topic it seems like xdg-desktop-portal-gtk might have this fixed in 1.5.0.something, question then is if this will be backported into the version used by Ubuntu 19.10 unless 19.10 would take the leap and upgrade the minor version into fixed one?

2) Possible manual workaround in the meantime might be to use something like dconf-editor and enable "introspect" which is a setting placed within /org/gnome/shell (scrolldown and you should see it).

However little through Google can be found what this setting really does and if its bad or not (I guess there is a reason for why it was disabled to begin with?).

Sebastien Bacher (seb128) wrote :
Changed in xdg-desktop-portal-gtk (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Low
Changed in xdg-desktop-portal-gtk (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in xdg-desktop-portal-gtk (Ubuntu Eoan):
assignee: nobody → Ken VanDine (ken-vandine)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xdg-desktop-portal-gtk (Ubuntu Eoan):
status: New → Confirmed
Dmytro Korzhevin (korg) wrote :

My clean install of Ubuntu 19.10 was hanged on same error:

ubuntu xdg-gesktop-por[5138]: Failed to get application statuses: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed

ISO was checked with both sha shum, and from boot menu - no broken checksums, but still install broken.

Vedran Rafaelic (croraf) on 2019-11-18
Changed in xdg-desktop-portal-gtk (Ubuntu):
status: Triaged → Invalid
status: Invalid → Confirmed

I am having trouble opening some programs, like for instance Hexchat and Filezille. (They are not snaps). That same message appears in my syslog.

Video: https://webm.red/5cq4.webm

David Osolkowski (qidydl) wrote :

This is also being discussed upstream in https://github.com/flatpak/xdg-desktop-portal-gtk/issues/215 including some more specific details from investigating dbus activity.

Johannes Winter (yova) wrote :

Same behaviour in current debian sid.

Clinton H (49studebaker) wrote :

I get this error in Ubuntu 19.10.

Clinton H (49studebaker) wrote :

I get this error in Ubuntu 19.10.

8:24:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:24:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:23:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:22:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:21:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:20:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:19:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:19:06 PM gnome-shell: libinput error: client bug: timer event6 debounce short: offset negative (-0ms)
 8:18:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag
 8:17:01 PM cron: pam_unix(cron:session): session closed for user root
 8:16:28 PM xdg-desktop-por: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag

Ken VanDine (ken-vandine) wrote :

This was fixed in 1.6 which is in focal. I'll backport to 1.4.2 for eoan.

affects: xdg-desktop-portal-gtk (Ubuntu) → xdg-desktop-portal (Ubuntu)
Changed in xdg-desktop-portal (Ubuntu Eoan):
importance: Undecided → Low
Changed in xdg-desktop-portal (Ubuntu):
status: Confirmed → Fix Released
description: updated

Hello centx, or anyone else affected,

Accepted xdg-desktop-portal into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xdg-desktop-portal/1.4.2-2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xdg-desktop-portal (Ubuntu Eoan):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-eoan
Kain (kain-kain) wrote :

I have upgraded/restarted xdg-desktop-portal 1.4.2-2ubuntu1, according to my journalctl --user it appears to fix the introspection bug.

tags: added: verification-done-eoan
removed: verification-needed-eoan
mbudd (marvbudd) wrote :

I a not a very knowledgable user at the detail level. I had this problem, however, and proposed seems to have cleaned up my logs a lot. I have a new Dell XPS 15 7590 running 19.10. Several packages were upgraded just now when I did this that were not related to this defect. Everything seems ok now.

nata (nnbelokon) wrote :

I observe this bug even after updating and reinstalling Ubuntu 19.10. I also created a new #1861173.

Mathew Hodson (mhodson) on 2020-02-02
tags: removed: verification-needed
geole0 (geole0) wrote :

a@a:~$ journalctl -f
-- Logs begin at Wed 2020-01-08 00:43:00 CET. --
févr. 10 22:53:30 a rtkit-daemon[1441]: Supervising 7 threads of 3 processes of 2 users.
févr. 10 22:54:14 a PackageKit[1669]: daemon quit
févr. 10 22:54:14 a systemd[1]: packagekit.service: Main process exited, code=killed, status=15/TERM
févr. 10 22:54:14 a systemd[1]: packagekit.service: Succeeded.
févr. 10 22:54:28 a xdg-desktop-por[2112]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed
févr. 10 22:55:28 a xdg-desktop-por[2112]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed
févr. 10 22:56:28 a xdg-desktop-por[2112]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed
févr. 10 22:57:28 a xdg-desktop-por[2112]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed
févr. 10 22:58:28 a xdg-desktop-por[2112]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed
févr. 10 22:59:28 a xdg-desktop-por[2112]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdg-desktop-portal - 1.4.2-2ubuntu1

---------------
xdg-desktop-portal (1.4.2-2ubuntu1) eoan; urgency=medium

  * d/p/background-Don-t-spam-the-logs.patch
    - Only warn once if we don't find the shell api (LP: #1851807)

 -- Ken VanDine <email address hidden> Wed, 08 Jan 2020 09:26:04 -0500

Changed in xdg-desktop-portal (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xdg-desktop-portal has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.